Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5082)
@@ -213,5 +213,5 @@
 !>LTP
 
-  ice_thermo = (iflag_ice_thermo .EQ. 1).OR.(iflag_ice_thermo .GE. 3)
+  ice_thermo = (iflag_ice_thermo == 1).OR.(iflag_ice_thermo >= 3)
   zdelq=0.0
   ctot_vol(1:klon,1:klev)=0.0
@@ -224,5 +224,5 @@
      WRITE(lunout,*) 'FISRTILP VERSION LUDO'
      
-     IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
+     IF (ABS(dtime/REAL(ninter)-360.0)>0.001) THEN
         WRITE(lunout,*) 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
         WRITE(lunout,*) 'Je prefere un sous-intervalle de 6 minutes'
@@ -251,5 +251,5 @@
   !
 !CR: on est oblige de definir des valeurs fisrt car les valeurs de newmicro ne sont pas les memes par defaut
-  IF (iflag_t_glace.EQ.0) THEN
+  IF (iflag_t_glace==0) THEN
 !   ztglace = RTT - 15.0
     t_glace_min_old = RTT - 15.0
@@ -352,5 +352,5 @@
      !   - zmqc: masse de precip qui doit etre thermalisee
      !
-     IF(k.LE.klev-1) THEN         
+     IF(k<=klev-1) THEN
         DO i = 1, klon
            !IM
@@ -359,5 +359,5 @@
            zcpair=RCPD*(1.0+RVTMP2*zq(i))
            zcpeau=RCPD*RVTMP2
-         if (fl_cor_ebil .GT. 0) then
+         if (fl_cor_ebil > 0) then
            ! zmqc: masse de precip qui doit etre thermalisee avec l'air de la couche atm 
            ! pour s'assurer que la precip arrivant au sol aura bien la temperature de la 
@@ -394,5 +394,5 @@
         DO i = 1, klon
 !          S'il y a des precipitations
-           IF (zrfl(i)+zifl(i).GT.0.) THEN
+           IF (zrfl(i)+zifl(i)>0.) THEN
               ! Calcul du qsat
               IF (thermcep) THEN
@@ -403,5 +403,5 @@
                  zqs(i)=zqs(i)*zcor
               ELSE
-                 IF (zt(i) .LT. t_coup) THEN
+                 IF (zt(i) < t_coup) THEN
                     zqs(i) = qsats(zt(i)) / pplay(i,k)
                  ELSE
@@ -416,5 +416,5 @@
         DO i = 1, klon
 !          S'il y a des precipitations
-           IF (zrfl(i)+zifl(i).GT.0.) THEN
+           IF (zrfl(i)+zifl(i)>0.) THEN
                 ! Evap max pour ne pas saturer la fraction sous le nuage
                 ! Evap max jusqu'à atteindre la saturation dans la partie
@@ -425,5 +425,5 @@
              ! Ajout de la prise en compte des precip a thermiser
              ! avec petite reecriture 
-             if  (fl_cor_ebil .GT. 0) then ! nouveau
+             if  (fl_cor_ebil > 0) then ! nouveau
                 ! Calcul de l'evaporation du flux de precip herite
                 !   d'au-dessus
@@ -437,5 +437,5 @@
                 zrfln(i) = zrfl(i) - zqev*zmair(i)/dtime
                 ! Aucun flux liquide pour T < t_coup, on reevapore tout.
-                IF (zt(i) .LT. t_coup.and.reevap_ice) THEN
+                IF (zt(i) < t_coup.and.reevap_ice) THEN
                   zrfln(i)=0.
                   zqev = (zrfl(i)-zrfln(i))/zmair(i)*dtime
@@ -461,5 +461,5 @@
                      /RG/dtime
                 ! Aucun flux liquide pour T < t_coup
-                IF (zt(i) .LT. t_coup.and.reevap_ice) zrfln(i)=0.
+                IF (zt(i) < t_coup.and.reevap_ice) zrfln(i)=0.
                 ! Nouvelle vapeur 
                 zq(i) = zq(i) - (zrfln(i)-zrfl(i)) &
@@ -485,5 +485,5 @@
 !AJ<
 !        S'il y a des precipitations
-         IF (zrfl(i)+zifl(i).GT.0.) THEN
+         IF (zrfl(i)+zifl(i)>0.) THEN
 
         !LTP<
@@ -574,5 +574,5 @@
         ! en conservant la proportion liquide / glace
      
-         IF (zqevt+zqevti.GT.zqev0) THEN
+         IF (zqevt+zqevti>zqev0) THEN
             zqev=zqev0*zqevt/(zqevt+zqevti)
             zqevi=zqev0*zqevti/(zqevt+zqevti)
@@ -583,5 +583,5 @@
 !            zqev=zqevt
 !            zqevi=zqevti
-             IF (zqevt+zqevti.GT.0.) THEN
+             IF (zqevt+zqevti>0.) THEN
                 zqev=MIN(zqev0*zqevt/(zqevt+zqevti),zqevt)
                 zqevi=MIN(zqev0*zqevti/(zqevt+zqevti),zqevti)
@@ -601,5 +601,5 @@
          zq(i) = zq(i) - (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
-       if (fl_cor_ebil .GT. 0) then ! avec correction thermalisation des precips
+       if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
          zmqc(i) = zmqc(i) + (zrfln(i)+zifln(i)-zrfl(i)-zifl(i)) &
                   * (RG/(paprs(i,k)-paprs(i,k+1)))*dtime
@@ -626,5 +626,5 @@
                 zrflclr(i) = zrfl(i)
                 ziflclr(i) = zifl(i)    
-                IF(zrflclr(i) + ziflclr(i) .LE. 0) THEN
+                IF(zrflclr(i) + ziflclr(i) <= 0) THEN
                         znebprecipclr(i) = 0.
                 ENDIF   
@@ -652,5 +652,5 @@
                    zrfl(i)=zrfl(i)+zmelt*zifl(i)
            ENDIF
-           if (fl_cor_ebil .LE. 0) then
+           if (fl_cor_ebil <= 0) then
              ! the following line should not be here. Indeed, if zifl is modified
              ! now, zifl(i)*zmelt is no more the amount of ice that has melt
@@ -659,5 +659,5 @@
            end if
            ! Chaleur latente de fusion
-        if (fl_cor_ebil .GT. 0) then ! avec correction thermalisation des precips
+        if (fl_cor_ebil > 0) then ! avec correction thermalisation des precips
            zt(i)=zt(i)-zifl(i)*zmelt*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *RLMLT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -666,5 +666,5 @@
                       *RLMLT/RCPD/(1.0+RVTMP2*zq(i))
         end if
-           if (fl_cor_ebil .GT. 0) then ! correction bug, deplacement ligne precedente
+           if (fl_cor_ebil > 0) then ! correction bug, deplacement ligne precedente
 !<LTP
              IF (iflag_evap_prec==4) THEN
@@ -698,5 +698,5 @@
            zdelta = MAX(0.,SIGN(1.,RTT-zt(i)))
            zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-       if  (fl_cor_ebil .GT. 0) then ! nouveau
+       if  (fl_cor_ebil > 0) then ! nouveau
            zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
        else    
@@ -713,5 +713,5 @@
      ELSE
         DO i = 1, klon
-           IF (zt(i).LT.t_coup) THEN
+           IF (zt(i)<t_coup) THEN
               zqs(i) = qsats(zt(i))/pplay(i,k)
               zdqs(i) = dqsats(zt(i),zqs(i))
@@ -761,5 +761,5 @@
         ! P2.A.0> Calcul des grandeurs nuageuses une pdf en creneau
         ! ----------------------------------------------------------------
-        if (iflag_pdf.eq.0) then
+        if (iflag_pdf==0) then
 
            ! version creneau de (Li, 1998)
@@ -776,5 +776,5 @@
            ! ----------------------------------------------------------------
            do i=1,klon
-              if(zq(i).lt.1.e-15) then
+              if(zq(i)<1.e-15) then
                  ncoreczq=ncoreczq+1
                  zq(i)=1.e-15
@@ -851,5 +851,5 @@
 
 !Boucle iterative: ATTENTION, l'option -1 n'est plus activable ici
-           if (iflag_fisrtilp_qsat.ge.0) then
+           if (iflag_fisrtilp_qsat>=0) then
              ! Iteration pour condensation avec variation de qsat(T) 
              ! -----------------------------------------------------
@@ -860,6 +860,6 @@
                  ! !! convergence = .true. tant que l'on n'a pas converge !!
                  ! ------------------------------
-                 convergence(i)=abs(DT(i)).gt.DDT0
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
+                 convergence(i)=abs(DT(i))>DDT0
+                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
                  ! si on n'a pas converge
                  !
@@ -876,8 +876,8 @@
                     zdelta = MAX(0.,SIGN(1.,RTT-Tbef(i)))
                  else
-                    if (iflag_t_glace.eq.0) then
+                    if (iflag_t_glace==0) then
                     zdelta = MAX(0.,SIGN(1.,t_glace_min_old-Tbef(i)))
-                    else if (iflag_t_glace.ge.1) then
-                       if (iflag_oldbug_fisrtilp.EQ.0) then
+                    else if (iflag_t_glace>=1) then
+                       if (iflag_oldbug_fisrtilp==0) then
                           zdelta = MAX(0.,SIGN(1.,t_glace_max-Tbef(i)))
                        else
@@ -889,5 +889,5 @@
                  ! Calcul de rneb, qzn et zcond pour les PDF lognormales
                  zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-               if (fl_cor_ebil .GT. 0) then
+               if (fl_cor_ebil > 0) then
                  zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
                else
@@ -911,5 +911,5 @@
                  zpdf_e2(i)=1.-erf(zpdf_e2(i))
              
-                 if (zpdf_e1(i).lt.1.e-10) then
+                 if (zpdf_e1(i)<1.e-10) then
                     rneb(i,k)=0.
                     zqn(i)=zqs(i)
@@ -938,8 +938,8 @@
                  ! --------------------------
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
+                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
 
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil .GT. 0) then
+               if (fl_cor_ebil > 0) then
                  num=-Tbef(i)+zt(i)+rneb(i,k)*RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
                else
@@ -954,12 +954,12 @@
                  else ! if (.not. ice_thermo)
                  ! --------------------------
-                 if (iflag_t_glace.ge.1) then
+                 if (iflag_t_glace>=1) then
                  CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
                  endif
 
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
+                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
                  
-                 if (iflag_t_glace.eq.0) then
+                 if (iflag_t_glace==0) then
                     zfice(i) = 1.0 - (Tbef(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -969,14 +969,14 @@
                  endif
                  
-                 if (iflag_t_glace.ge.1.and.zfice(i)>0.) then
+                 if (iflag_t_glace>=1.and.zfice(i)>0.) then
                  dzfice(i)= exposant_glace * zfice(i)**(exposant_glace-1) &
           &                    / (t_glace_min - t_glace_max)
                  endif
                
-                 if ((zfice(i).eq.0).or.(zfice(i).eq.1)) then
+                 if ((zfice(i)==0).or.(zfice(i)==1)) then
                     dzfice(i)=0.
                  endif
 
-                 if (zfice(i).lt.1) then
+                 if (zfice(i)<1) then
                     cste=RLVTT
                  else
@@ -985,5 +985,5 @@
 
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil .GT. 0) then
+               if (fl_cor_ebil > 0) then
                  num = -Tbef(i)+zt(i)+rneb(i,k)*((1-zfice(i))*RLVTT &
            &          +zfice(i)*RLSTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
@@ -1020,12 +1020,12 @@
 ! pour la re-activer, prendre iflag_fisrtilp_qsat=0 et
 ! activer les lignes suivantes: 
-       IF (1.eq.0) THEN 
+       IF (1==0) THEN
        DO i=1,klon
-           IF (rneb(i,k) .LE. 0.0) THEN
+           IF (rneb(i,k) <= 0.0) THEN
               zqn(i) = 0.0
               rneb(i,k) = 0.0
               zcond(i) = 0.0
               rhcl(i,k)=zq(i)/zqs(i)
-           ELSE IF (rneb(i,k) .GE. 1.0) THEN
+           ELSE IF (rneb(i,k) >= 1.0) THEN
               zqn(i) = zq(i)
               rneb(i,k) = 1.0                 
@@ -1055,10 +1055,10 @@
         ! et de l'humidite relative ciel-clair (rhcl)
         DO i=1,klon
-           IF (rneb(i,k) .LE. 0.0) THEN
+           IF (rneb(i,k) <= 0.0) THEN
               zqn(i) = 0.0
               rneb(i,k) = 0.0
               zcond(i) = 0.0
               rhcl(i,k)=zq(i)/zqs(i)
-           ELSE IF (rneb(i,k) .GE. 1.0) THEN
+           ELSE IF (rneb(i,k) >= 1.0) THEN
               zqn(i) = zq(i)
               rneb(i,k) = 1.0
@@ -1086,5 +1086,5 @@
         ! note JLD: attention, rhcl non calcule. Ca peut avoir des consequences?
         DO i = 1, klon
-           IF (zq(i).GT.zqs(i)) THEN
+           IF (zq(i)>zqs(i)) THEN
               rneb(i,k) = 1.0
            ELSE
@@ -1109,11 +1109,11 @@
      !
      IF (.NOT. ice_thermo) THEN
-        if (iflag_fisrtilp_qsat.lt.1) then
+        if (iflag_fisrtilp_qsat<1) then
            DO i = 1, klon
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*zq(i))
            ENDDO
-        else if (iflag_fisrtilp_qsat.gt.0) then
+        else if (iflag_fisrtilp_qsat>0) then
            DO i= 1, klon
-    if (fl_cor_ebil .GT. 0) then
+    if (fl_cor_ebil > 0) then
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
     else
@@ -1123,13 +1123,13 @@
         endif
      ELSE
-         if (iflag_t_glace.ge.1) then
+         if (iflag_t_glace>=1) then
             CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
          endif
-         if (iflag_fisrtilp_qsat.lt.1) then
+         if (iflag_fisrtilp_qsat<1) then
            DO i = 1, klon
 ! JBM: icefrac_lsc is now a function contained in icefrac_lsc_mod
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace.eq.0) then
+              if (iflag_t_glace==0) then
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1144,10 +1144,10 @@
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace.eq.0) then
+              if (iflag_t_glace==0) then
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
                     zfice(i) = zfice(i)**exposant_glace_old
               endif
-        if (fl_cor_ebil .GT. 0) then
+        if (fl_cor_ebil > 0) then
               zt(i) = zt(i) + (1.-zfice(i))*zcond(i) & 
            &             * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i))) &
@@ -1188,5 +1188,5 @@
                 !1) Cloudy to clear air
                 d_znebprecip_cld_clr(i) = znebprecipcld(i) - min(rneb(i,k),znebprecipcld(i)) 
-                IF (znebprecipcld(i) .GT. 0) THEN
+                IF (znebprecipcld(i) > 0) THEN
                         d_zrfl_cld_clr(i) = d_znebprecip_cld_clr(i)/znebprecipcld(i)*zrflcld(i) 
                         d_zifl_cld_clr(i) = d_znebprecip_cld_clr(i)/znebprecipcld(i)*ziflcld(i) 
@@ -1199,5 +1199,5 @@
                 d_znebprecip_clr_cld(i) = max(0., min(znebprecipclr(i), rneb(i,k) &
                         - d_tot_zneb(i) - zneb(i)))
-                IF (znebprecipclr(i) .GT. 0) THEN
+                IF (znebprecipclr(i) > 0) THEN
                         d_zrfl_clr_cld(i) = d_znebprecip_clr_cld(i)/znebprecipclr(i)*zrflclr(i) 
                         d_zifl_clr_cld(i) = d_znebprecip_clr_cld(i)/znebprecipclr(i)*ziflclr(i)
@@ -1224,5 +1224,5 @@
      ! Initialisation de zoliq (eau condensee moyenne dans la maille)
      DO i = 1, klon
-        IF (rneb(i,k).GT.0.0) THEN
+        IF (rneb(i,k)>0.0) THEN
            zoliq(i) = zcond(i)
            zrho(i) = pplay(i,k) / zt(i) / RD
@@ -1232,7 +1232,7 @@
 !AJ<
      IF (.NOT. ice_thermo) THEN
-       IF (iflag_t_glace.EQ.0) THEN
+       IF (iflag_t_glace==0) THEN
          DO i = 1, klon
-            IF (rneb(i,k).GT.0.0) THEN
+            IF (rneb(i,k)>0.0) THEN
                zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (273.13-t_glace_min_old)
                zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1261,5 +1261,5 @@
      ! ----------------------------------------------------------------
      DO i = 1, klon
-        IF (rneb(i,k).GT.0.0) THEN
+        IF (rneb(i,k)>0.0) THEN
            zneb(i) = MAX(rneb(i,k), seuil_neb)
      !      zt(i) = zt(i)+zcond(i)*zfice(i)*RLMLT/RCPD/(1.0+RVTMP2*zq(i))  
@@ -1272,10 +1272,10 @@
      DO n = 1, ninter
         DO i = 1, klon
-           IF (rneb(i,k).GT.0.0) THEN
+           IF (rneb(i,k)>0.0) THEN
               zrhol(i) = zrho(i) * zoliq(i) / zneb(i)
               ! Initialization of zpluie and zice:
               zpluie=0
               zice=0
-              IF (zneb(i).EQ.seuil_neb) THEN
+              IF (zneb(i)==seuil_neb) THEN
                  ztot = 0.0
               ELSE
@@ -1337,5 +1337,5 @@
      IF (.NOT. ice_thermo) THEN
        DO i = 1, klon
-         IF (rneb(i,k).GT.0.0) THEN
+         IF (rneb(i,k)>0.0) THEN
            d_ql(i,k) = zoliq(i)
            zrfl(i) = zrfl(i)+ MAX(zcond(i)-zoliq(i),0.0) &
@@ -1356,10 +1356,10 @@
 ! La vapeur d'eau est augmentee.
 !
-       IF ((iflag_bergeron .EQ. 2)) THEN
+       IF ((iflag_bergeron == 2)) THEN
          DO i = 1, klon
-           IF (rneb(i,k) .GT. 0.0) THEN
+           IF (rneb(i,k) > 0.0) THEN
              zqpreci(i)=(zcond(i)-zoliq(i))*zfice(i)
              zqprecl(i)=(zcond(i)-zoliq(i))*(1.-zfice(i))
-           if (fl_cor_ebil .GT. 0) then
+           if (fl_cor_ebil > 0) then
              zcp=RCPD*(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
              coef1 = rneb(i,k)*RLSTT/zcp*zdqsdT_raw(i)
@@ -1395,5 +1395,5 @@
          ENDDO
          DO i = 1, klon
-           IF (rneb(i,k).GT.0.0) THEN
+           IF (rneb(i,k)>0.0) THEN
              d_ql(i,k) = (1-zfice(i))*zoliq(i)
              d_qi(i,k) = zfice(i)*zoliq(i)
@@ -1423,5 +1423,5 @@
 !!
        DO i = 1, klon
-         IF (rneb(i,k).GT.0.0) THEN
+         IF (rneb(i,k)>0.0) THEN
 !CR on prend en compte la phase glace
 !JLD inutile car on ne passe jamais ici si .not.ice_thermo
@@ -1456,5 +1456,5 @@
 
 !CR : on prend en compte l'effet Bergeron dans les flux de precipitation
-           IF ((iflag_bergeron .EQ. 1) .AND. (zt(i) .LT. 273.15)) THEN
+           IF ((iflag_bergeron == 1) .AND. (zt(i) < 273.15)) THEN
 !<LTP
                 IF (iflag_evap_prec == 4) THEN
@@ -1473,5 +1473,5 @@
                  ENDIF!iflag_evap_prec==4
 
-           if (fl_cor_ebil .GT. 0) then
+           if (fl_cor_ebil > 0) then
               zt(i)=zt(i)+zsolid*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *(RLSTT-RLVTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -1510,5 +1510,5 @@
     IF (iflag_evap_prec==4) THEN
         DO i=1, klon
-            IF (zrflclr(i) + ziflclr(i) .GT. 0 ) THEN
+            IF (zrflclr(i) + ziflclr(i) > 0 ) THEN
                znebprecipclr(i) = min(znebprecipclr(i), max(zrflclr(i) &
                     /(znebprecipclr(i)*rain_int_min), &
@@ -1518,5 +1518,5 @@
             ENDIF
 
-            IF (zrflcld(i) + ziflcld(i) .GT. 0 ) THEN
+            IF (zrflcld(i) + ziflcld(i) > 0 ) THEN
                znebprecipcld(i) = min(znebprecipcld(i), &
                     max(zrflcld(i)/(znebprecipcld(i)*rain_int_min), &
@@ -1536,5 +1536,5 @@
      IF (.NOT. ice_thermo) THEN
        DO i = 1, klon
-         IF (zt(i).LT.RTT) THEN
+         IF (zt(i)<RTT) THEN
            psfl(i,k)=zrfl(i)
          ELSE
@@ -1571,5 +1571,5 @@
      DO i = 1,klon
         !
-        if(zcond(i).gt.zoliq(i)+1.e-10) then
+        if(zcond(i)>zoliq(i)+1.e-10) then
          beta(i,k) = (zcond(i)-zoliq(i))/zcond(i)/dtime
         else
@@ -1578,8 +1578,8 @@
         zprec_cond(i) = MAX(zcond(i)-zoliq(i),0.0) &
              * (paprs(i,k)-paprs(i,k+1))/RG
-        IF (rneb(i,k).GT.0.0.and.zprec_cond(i).gt.0.) THEN
+        IF (rneb(i,k)>0.0.and.zprec_cond(i)>0.) THEN
            !AA lessivage nucleation LMD5 dans la couche elle-meme
-          IF (iflag_t_glace.EQ.0) THEN
-           if (t(i,k) .GE. t_glace_min_old) THEN
+          IF (iflag_t_glace==0) THEN
+           if (t(i,k) >= t_glace_min_old) THEN
               zalpha_tr = a_tr_sca(3)
            else
@@ -1587,5 +1587,5 @@
            endif
           ELSE ! of IF (iflag_t_glace.EQ.0)
-           if (t(i,k) .GE. t_glace_min) THEN
+           if (t(i,k) >= t_glace_min) THEN
               zalpha_tr = a_tr_sca(3)
            else
@@ -1607,7 +1607,7 @@
      DO kk = k-1, 1, -1
         DO i = 1, klon
-           IF (rneb(i,k).GT.0.0.and.zprec_cond(i).gt.0.) THEN
-             IF (iflag_t_glace.EQ.0) THEN
-              if (t(i,kk) .GE. t_glace_min_old) THEN
+           IF (rneb(i,k)>0.0.and.zprec_cond(i)>0.) THEN
+             IF (iflag_t_glace==0) THEN
+              if (t(i,kk) >= t_glace_min_old) THEN
                  zalpha_tr = a_tr_sca(1)
               else
@@ -1615,5 +1615,5 @@
               endif
              ELSE ! of IF (iflag_t_glace.EQ.0)
-              if (t(i,kk) .GE. t_glace_min) THEN
+              if (t(i,kk) >= t_glace_min) THEN
                  zalpha_tr = a_tr_sca(1)
               else
@@ -1639,5 +1639,5 @@
   IF (.NOT.ice_thermo) THEN
   DO i = 1, klon
-     IF ((t(i,1)+d_t(i,1)) .LT. RTT) THEN
+     IF ((t(i,1)+d_t(i,1)) < RTT) THEN
 !AJ<
 !        snow(i) = zrfl(i)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90	(revision 5082)
@@ -151,5 +151,5 @@
   ! such as eps or thresh_precip_frac, to remove the senseless barrier in the formulas
   ! of evap / sublim
-  IF ( ( ( rain(i) + snow(i) ) .GT. 0. ) .AND. ( precipfracclr(i) .GT. 0. ) ) THEN
+  IF ( ( ( rain(i) + snow(i) ) > 0. ) .AND. ( precipfracclr(i) > 0. ) ) THEN
 
     IF ( ok_corr_vap_evasub ) THEN
@@ -210,5 +210,5 @@
     !--If activates if the total is LOWER than the max because
     !--everything is negative
-    IF ( dprecip_evasub_tot .LT. dprecip_evasub_max ) THEN
+    IF ( dprecip_evasub_tot < dprecip_evasub_max ) THEN
       draineva = dprecip_evasub_max * draineva / dprecip_evasub_tot
       dsnowsub = dprecip_evasub_max * dsnowsub / dprecip_evasub_tot
@@ -240,5 +240,5 @@
     !--If there is no more precip fluxes, the precipitation fraction in clear
     !--sky is set to 0
-    IF ( ( rainclr(i) + snowclr(i) ) .LE. 0. ) precipfracclr(i) = 0.
+    IF ( ( rainclr(i) + snowclr(i) ) <= 0. ) precipfracclr(i) = 0.
 
     !--Calculation of the total fluxes
@@ -246,5 +246,5 @@
     snow(i) = snowclr(i) + snowcld(i)
 
-  ELSEIF ( ( rain(i) + snow(i) ) .LE. 0. ) THEN
+  ELSEIF ( ( rain(i) + snow(i) ) <= 0. ) THEN
 
     !--If no precip, we reinitialize the cloud fraction used for the precip to 0 
@@ -444,5 +444,5 @@
 
 
-  IF ( precipfraccld(i) .GT. ( 1. - eps ) ) THEN
+  IF ( precipfraccld(i) > ( 1. - eps ) ) THEN
     precipfractot = 1.
   ELSE
@@ -469,10 +469,10 @@
 
   !--If the cloud extends
-  IF ( dprecipfraccld .GT. 0. ) THEN
+  IF ( dprecipfraccld > 0. ) THEN
     !--If there is no CS precip, nothing happens.
     !--If there is, we reattribute some of the CS precip flux
     !--to the cloud precip flux, proportionnally to the
     !--decrease of the CS precip fraction
-    IF ( precipfracclr(i) .LE. 0. ) THEN
+    IF ( precipfracclr(i) <= 0. ) THEN
       drainclr = 0.
       dsnowclr = 0.
@@ -482,5 +482,5 @@
     ENDIF
   !--If the cloud narrows
-  ELSEIF ( dprecipfraccld .LT. 0. ) THEN
+  ELSEIF ( dprecipfraccld < 0. ) THEN
     !--We reattribute some of the cloudy precip flux
     !--to the CS precip flux, proportionnally to the
@@ -510,5 +510,5 @@
   !--surface fraction (which is larger and artificially
   !--reduces the in-cloud water).
-  IF ( ( iflag_cloudth_vert .GE. 3 ) .AND. ( iflag_rain_incloud_vol .EQ. 1 ) ) THEN
+  IF ( ( iflag_cloudth_vert >= 3 ) .AND. ( iflag_rain_incloud_vol == 1 ) ) THEN
     eff_cldfra = ctot_vol(i)
   ELSE
@@ -521,5 +521,5 @@
   !--If the cloud is big enough, the precipitation processes activate
   ! TODO met on seuil_neb ici ?
-  IF ( cldfra(i) .GE. seuil_neb ) THEN
+  IF ( cldfra(i) >= seuil_neb ) THEN
 
     !---------------------------------------------------------
@@ -546,5 +546,5 @@
     Eff_rain_liq = 1.
     coef_col = gamma_col * 3. / 4. / rho_rain / r_rain * Eff_rain_liq
-    IF ( raincld(i) .GT. 0. ) THEN
+    IF ( raincld(i) > 0. ) THEN
       !--Exact explicit version, which does not need a barrier because of
       !--the exponential decrease
@@ -569,5 +569,5 @@
     rho_snow = 1.e3 * 0.178 * ( r_snow * 2. * 1000. )**(-0.922)
     coef_agg = gamma_agg * 3. / 4. / rho_snow / r_snow * Eff_snow_ice
-    IF ( snowcld(i) .GT. 0. ) THEN
+    IF ( snowcld(i) > 0. ) THEN
       !--Exact explicit version, which does not need a barrier because of
       !--the exponential decrease
@@ -663,5 +663,5 @@
     rho_snow = 1.e3 * 0.178 * ( r_snow * 2. * 1000. )**(-0.922)
     coef_rim = gamma_rim * 3. / 4. / rho_snow / r_snow * Eff_snow_liq
-    IF ( snowcld(i) .GT. 0. ) THEN
+    IF ( snowcld(i) > 0. ) THEN
       !--Exact version, which does not need a barrier because of
       !--the exponential decrease
@@ -710,5 +710,5 @@
   !--nb_snowflake        : number of snowflakes (in clear/cloudy air) [-]
 
-  IF ( ( snowclr(i) + snowcld(i) ) .GT. 0. ) THEN
+  IF ( ( snowclr(i) + snowcld(i) ) > 0. ) THEN
     !--Computed according to
     !--Cpdry * Delta T * (1 + (Cpvap/Cpdry - 1) * qtot) = Lfusion * Delta q
@@ -728,5 +728,5 @@
 
     !--In clear air
-    IF ( ( snowclr(i) .GT. 0. ) .AND.  ( precipfracclr(i) .GT. 0. ) ) THEN
+    IF ( ( snowclr(i) > 0. ) .AND.  ( precipfracclr(i) > 0. ) ) THEN
       !--Formula for the wet-bulb temperature from ECMWF (IFS)
       !--The vapor used is the vapor in the clear sky
@@ -749,5 +749,5 @@
 
     !--In cloudy air
-    IF ( ( snowcld(i) .GT. 0. ) .AND. ( precipfraccld(i) .GT. 0. ) ) THEN
+    IF ( ( snowcld(i) > 0. ) .AND. ( precipfraccld(i) > 0. ) ) THEN
       !--As the air is saturated, the wet-bulb temperature is equal to the
       !--temperature
@@ -771,5 +771,5 @@
     !--because everything is negative
     dqstotmelt = dqsclrmelt + dqscldmelt
-    IF ( dqstotmelt .LT. dqsmelt_max ) THEN
+    IF ( dqstotmelt < dqsmelt_max ) THEN
       !--We redistribute the max melted snow keeping
       !--the clear/cloud partition of the melted snow
@@ -820,5 +820,5 @@
   !--temp_nowater : temperature below which no liquid water exists [K] (about -40 degC)
 
-  IF ( ( rainclr(i) + raincld(i) ) .GT. 0. ) THEN
+  IF ( ( rainclr(i) + raincld(i) ) > 0. ) THEN
 
  
@@ -834,6 +834,6 @@
     dqrtotfreez_step1 = 0.
 
-    IF ( ( qice(i) .GT. 0. ) .AND. ( cldfra(i) .GT. 0. ) .AND. &
-         ( raincld(i) .GT. 0. ) .AND. ( precipfraccld(i) .GT. 0. ) ) THEN
+    IF ( ( qice(i) > 0. ) .AND. ( cldfra(i) > 0. ) .AND. &
+         ( raincld(i) > 0. ) .AND. ( precipfraccld(i) > 0. ) ) THEN
       dqrclrfreez = 0.
       dqrcldfreez = 0.
@@ -897,5 +897,5 @@
 
     !--In clear air
-    IF ( rainclr(i) .GT. 0. ) THEN
+    IF ( rainclr(i) > 0. ) THEN
       !--Exact solution of dqrain/dt = -qrain/tau_freez
       dqrclrfreez = rainclr(i) / dhum_to_dflux(i) * ( EXP( - dtime / tau_freez ) - 1. )
@@ -903,5 +903,5 @@
 
     !--In cloudy air
-    IF ( raincld(i) .GT. 0. ) THEN
+    IF ( raincld(i) > 0. ) THEN
       !--Exact solution of dqrain/dt = -qrain/tau_freez
       dqrcldfreez = raincld(i) / dhum_to_dflux(i) * ( EXP( - dtime / tau_freez ) - 1. )
@@ -913,5 +913,5 @@
     dqrtotfreez_step2 = dqrclrfreez + dqrcldfreez
   
-    IF ( dqrtotfreez_step2 .LT. dqrfreez_max ) THEN
+    IF ( dqrtotfreez_step2 < dqrfreez_max ) THEN
       !--We redistribute the max freezed rain keeping
       !--the clear/cloud partition of the freezing rain
